import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("schedule_page_cms")
export class SchedulePageCms extends CoreEntity {
    @Column({default: null, nullable: true})
    icon: string;

    @Column({default: null, nullable: true})
    pageTitle: string;

    @Column({default: null, nullable: true})
    pageSubTitle: string;

    @Column({default: null, type: "longtext", nullable: true})
    description: string;

    @Column({default: null, nullable: true})
    subscriptionCheckboxText: string;

    @Column({default: null, nullable: true})
    buttonText: string;
}
