import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("signup_cms")
export class SignupCms extends CoreEntity {
    @Column({default: null, nullable: true})
    siteTitle: string;

    @Column({default: null, nullable: true})
    pageTitle: string;

    @Column({default: null, nullable: true})
    pageSubTitle: string;

    @Column({default: null, nullable: true})
    logo: string;

    @Column({default: null, nullable: true})
    buttonText: string;
}
