import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity('transaction_notes')
export class TransactionNotesEntity extends CoreEntity {
    @Column({default: null, nullable: true})
    transactionId: string;

    @Column({default: null, nullable: true})
    userId: string;

    @Column({default: null, nullable: true})
    message: string;

    @Column({default: null, nullable: true})
    file: string;
}
