import {IsEmpty, IsNotEmpty} from "class-validator";

export class CreateUserDto {
    @IsNotEmpty()
    firstName: string;

    @IsNotEmpty()
    lastName: string;

    @IsNotEmpty()
    email: string;

    @IsNotEmpty()
    password: string;

    @IsEmpty()
    phone: string;

    @IsEmpty()
    image: string;

    @IsNotEmpty()
    role: number;

    @IsNotEmpty()
    userType: string;
}
