import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("whats_next_section_cms")
export class WhatsNextSectionCmsEntity extends CoreEntity {
    @Column({default: null, nullable: true})
    sectionOneImage: string;

    @Column({default: null, nullable: true})
    sectionOnetitle: string;

    @Column({default: null, nullable: true})
    sectionOneSubtitle: string;

    @Column({default: null, type: "longtext", nullable: true})
    sectionOneDescription: string;

    @Column({default: null, nullable: true})
    sectionOneButtonText: string;

    @Column({default: null, nullable: true})
    sectionOneButtonLink: string;

    @Column({default: null, nullable: true})
    sectionTwoImage: string;

    @Column({default: null, nullable: true})
    sectionTwotitle: string;

    @Column({default: null, nullable: true})
    sectionTwoSubtitle: string;

    @Column({default: null, type: "longtext", nullable: true})
    sectionTwoDescription: string;

    @Column({default: null, nullable: true})
    sectionTwoButtonText: string;

    @Column({default: null, nullable: true})
    sectionTwoButtonLink: string;
}
