import {IsNotEmpty, IsOptional} from "class-validator";

export class CreateTransactionDocumentsDto {
    @IsNotEmpty()
    transactionId: string;

    @IsOptional()
    title: string;

    @IsOptional()
    comment: string;

    @IsOptional()
    file: string;
}